<!DOCTYPE html>
<!--
    Licensed to the Apache Software Foundation (ASF) under one
    or more contributor license agreements.  See the NOTICE file
    distributed with this work for additional information
    regarding copyright ownership.  The ASF licenses this file
    to you under the Apache License, Version 2.0 (the
    "License"); you may not use this file except in compliance
    with the License.  You may obtain a copy of the License at

    http://www.apache.org/licenses/LICENSE-2.0

    Unless required by applicable law or agreed to in writing,
    software distributed under the License is distributed on an
    "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
     KIND, either express or implied.  See the License for the
    specific language governing permissions and limitations
    under the License.
-->
<html>
<head>
    <meta charset="utf-8">
    <!--
    Customize this policy to fit your own app's needs. For more guidance, see:
        https://github.com/apache/cordova-plugin-whitelist/blob/master/README.md#content-security-policy
    Some notes:
        * gap: is required only on iOS (when using UIWebView) and is needed for JS->native communication
        * https://ssl.gstatic.com is required only on Android and is needed for TalkBack to function properly
        * Disables use of inline scripts in order to mitigate risk of XSS vulnerabilities. To change this:
            * Enable inline JS: add 'unsafe-inline' to default-src
    -->
    <meta name="format-detection" content="telephone=no">
    <meta name="msapplication-tap-highlight" content="no">
    <meta name="viewport" content="initial-scale=1, width=device-width, viewport-fit=cover">
    <meta name="color-scheme" content="light dark">
    <link href="css/index.css" rel="stylesheet">
    <link href="bootstrap/css/bootstrap.css" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">

    <title>Hello World</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="container-fluid">
        <a class="navbar-brand" href="#">Menu</a>
        <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarNav">
            <ul class="navbar-nav">
                <li class="nav-item" data-link="btnScan">
                    <a class="nav-link active" aria-current="page">Scan Qr</a>
                </li>
                <li class="nav-item" data-link="btnContact">
                    <a class="nav-link">Contactos</a>
                </li>
                <li class="nav-item" data-link="btnLocation">
                    <a class="nav-link">Ubicación</a>
                </li>
            </ul>
        </div>
    </div>
</nav>
<div class="container">
    <div class="mt-3 block" id="btnScan">
        <button type="button" class="btn btn-success mb-3">Scan QR</button>
        <div class="card">
            <div class="card-body" id="labelResult">
            </div>
        </div>
        <ol class="list-group" id="list-cards">
            <li class="list-group-item d-flex justify-content-between align-items-start">
                <div class="ms-2 me-auto">
                    <div class="fw-bold">Tarjeta Crédito</div>
                    ******8952
                </div>
                <i class="fa fa-credit-card fa-2x link-success"></i>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-start">
                <div class="ms-2 me-auto">
                    <div class="fw-bold">Tarjeta Crédito</div>
                    ******5655
                </div>
                <i class="fa fa-credit-card fa-2x link-success"></i>
            </li>
            <li class="list-group-item d-flex justify-content-between align-items-start">
                <div class="ms-2 me-auto">
                    <div class="fw-bold">Tarjeta Debito</div>
                    ******8777
                </div>
                <i class="fa fa-credit-card fa-2x link-success"></i>
            </li>
        </ol>
    </div>

    <div class="mt-3 hide block" id="btnContact">
        <button type="button"  class="btn btn-success mb-3">Contactos</button>
        <div id="areaContacts"></div>
    </div>

    <div class="mt-3 hide block btnLocation" id="btnGeo">
        <button type="button"  class="btn btn-success mb-3">Ubicación</button>
    </div>

    <div class="text-center spinner-border text-success" role="status" id="loading">
        <span class="visually-hidden">Loading...</span>
    </div>
</div>

<div id="map" class="btnLocation block" style="position: absolute !important;"></div>
<script src="cordova.js"></script>
<script src="js/jquery-3.6.0.js"></script>
<script src="js/index.js"></script>
<script src="bootstrap/js/bootstrap.js"></script>
<script async defer src="https://maps.googleapis.com/maps/api/js?key=AIzaSyAcH94ox2yBSgApAP_mDm39lOCBTTtrQBc"
        type="text/javascript"></script>
</body>
</html>
